from __future__ import annotations

from docplex.mp.operand import LinearOperand

class AbstractConstraint: ...
class BinaryConstraint(AbstractConstraint): ...
class LinearConstraint(BinaryConstraint, LinearOperand): ...
class RangeConstraint(AbstractConstraint): ...
class NotEqualConstraint(LinearConstraint): ...
class LogicalConstraint(AbstractConstraint): ...
class IndicatorConstraint(LogicalConstraint): ...
class EquivalenceConstraint(LogicalConstraint): ...
class IfThenConstraint(IndicatorConstraint): ...
class QuadraticConstraint(BinaryConstraint): ...
class PwlConstraint(AbstractConstraint): ...
