from __future__ import annotations

from enum import Enum

class ObjectiveSense(Enum):
    Minimize = ...
    Maximize = ...

class EffortLevel(Enum):
    Auto = ...
    CheckFeas = ...
    SolveFixed = ...
    SolveMIP = ...
    Repair = ...
    NoCheck = ...

class WriteLevel(Enum):
    Auto = ...
    AllVars = ...
    DiscreteVars = ...
    NonZeroVars = ...
    NonZeroDiscreteVars = ...

    def filter_zeros(self) -> bool: ...
    def filter_nondiscrete(self) -> bool: ...
